xcb_xkb_set_named_indicator(3)

NAME
xcb_xkb_set_named_indicator -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_set_named_indicator(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, xcb_xkb_led_class_spec_t ledClass, xcb_xkb_id_spec_t ledID, xcb_atom_t indicator, uint8_t setState, uint8_t on, uint8_t setMap, uint8_t createMap, uint8_t map_flags, uint8_t map_whichGroups, uint8_t map_groups, uint8_t map_whichMods, uint8_t map_realMods, uint16_t map_vmods, uint32_t map_ctrls);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

ledClass
    TODO: NOT YET DOCUMENTED.

ledID
    TODO: NOT YET DOCUMENTED.

indicator
    TODO: NOT YET DOCUMENTED.

setState
    TODO: NOT YET DOCUMENTED.

on  TODO: NOT YET DOCUMENTED.

setMap
    TODO: NOT YET DOCUMENTED.

createMap
    TODO: NOT YET DOCUMENTED.

map_flags
    TODO: NOT YET DOCUMENTED.

map_whichGroups
    TODO: NOT YET DOCUMENTED.

map_groups
    TODO: NOT YET DOCUMENTED.

map_whichMods
    TODO: NOT YET DOCUMENTED.

map_realMods
    TODO: NOT YET DOCUMENTED.

map_vmods
    TODO: NOT YET DOCUMENTED.

map_ctrls
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_set_named_indicator_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.